<template>

    <v-card :elevation="11" class="pa-5">
        <v-card-title class="mx-auto"> {{ title}}</v-card-title>
        <v-image-input
                :style="Style"
                class="mx-auto"
                :imageHeight="Size"
                :imageWidth="Size"
                v-model="imageData"
                flip-horizontally-icon="mdi-compare-horizontal"
                flip-vertically-icon="mdi-compare-vertical"
                :image-quality="0.85"
                clearable
                image-format="jpeg,png"

        />
        <v-row>
            <v-btn color="green darken-1" text @click="Done">
                Done
            </v-btn>
        </v-row>
    </v-card>

</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
    import {Component, Prop, Vue} from 'vue-property-decorator';
    import VImageInput from 'vuetify-image-input/a-la-carte';

    @Component({
        components: {VImageInput}
    })
    export default class ImageLoader extends Vue {

        @Prop() title!: string;
        @Prop() onSelect!: (img: string) => void;

        Done() {
            this.onSelect(this.imageData);
        }

        get Style(): string {
            if (this.$vuetify.breakpoint.mdAndDown) {
                return "width: 256px; height: 256px;";
            }
            return "width: 512px; height: 512px;";

        }

        get Size(): number {
            if (this.$vuetify.breakpoint.mdAndDown) {
                return 128;
            }
            return 256;

        }


        imageData: string = '';
    }
</script>
